Page MenuHomePhabricator

Remove IE8 workarounds from UploadWizard
Closed, ResolvedPublic

Description

km@km-tp ~/p/v/m/e/UploadWizard> ack IE8 --js
resources/ui/uw.ui.Wizard.js
99:			// Not using .default for ES3 support (IE8)

Event Timeline

Legoktm created this task.Jan 11 2016, 7:06 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Aklapper, Legoktm, StudiesWorld.
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 11 2016, 7:06 AM
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript
MarkTraceur triaged this task as Normal priority.Jan 11 2016, 2:19 PM
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJan 11 2016, 2:19 PM

Wow, we have way, way, way more than this. We still have IE 6 workarounds (like that stupid 'javascript:false' iframe).

We could probably get rid of a lot of it by switching to use mw.Upload...though every time I think I'll try to accomplish that, it's a huge mistake and waste of time

Danny_B moved this task from Unsorted to IE8 on the Technical-Debt board.Jan 22 2016, 11:31 PM
Danny_B moved this task from IE8 to Needs removal on the Technical-Debt board.Jan 23 2016, 12:10 AM
matmarex lowered the priority of this task from Normal to Low.Feb 1 2016, 5:09 PM
MarkTraceur raised the priority of this task from Low to Normal.Dec 6 2016, 3:58 PM
MarkTraceur moved this task from Untriaged to Next up on the Multimedia board.

This should be relatively fast, and not cause any issues...I believe UW removed support for <IE9 some time ago.

MarkTraceur moved this task from Next up to Doing on the Multimedia board.
MarkTraceur set Security to None.

Change 325584 had a related patch set uploaded (by MarkTraceur):
Remove ES3/IE8 hackaround for reserved word

https://gerrit.wikimedia.org/r/325584

Change 325584 merged by jenkins-bot:
Remove ES3/IE8 hackaround for reserved word

https://gerrit.wikimedia.org/r/325584

matmarex closed this task as Resolved.Dec 6 2016, 5:30 PM
matmarex removed a project: Patch-For-Review.